(function (Drupal) {

  Drupal.AjaxCommands.prototype.storageAdd = function (ajax, response, status) {
    // Get the correct browser storage.
    let storage = localStorage;
    if (response.storage === 'session') {
      storage = sessionStorage;
    }

    // Get the browser storage object.
    let data = storage.getItem(response.key) || {};
    if (data != null && Object.keys(data).length > 0) {
      data = JSON.parse(data);
    }

    if (data == null) {
      data = {};
    }

    // Add all provided values to the object.
    if (response.data != null) {
      for (var entry in response.data) {
        data[entry] = response.data[entry];
      }
    }

    // Save the new object.
    storage.setItem(response.key, JSON.stringify(data));
  }

})(Drupal);
