<?php

declare(strict_types=1);

namespace Drupal\exit_survey\Controller;

use Drupal\Core\Ajax\AjaxResponse;
use Drupal\Core\Ajax\OpenModalDialogCommand;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Request;

/**
 * Returns responses for Exit survey routes.
 */
final class ExitSurveyController extends ControllerBase {

  /**
   * Builds the response.
   */
  public function __invoke() {

    $response = new AjaxResponse();
    $exit_survey = \Drupal::entityTypeManager()->getStorage('exit_survey')->create(['bundle' => 'default']);
    $form = \Drupal::service('entity.form_builder')->getForm($exit_survey, 'modal');
    $response->addCommand(new OpenModalDialogCommand('Before you leave...', $form, ['width' => 'auto', 'maxWidth' => '700']));
    return $response;
  }

}
